NcvSize32u Struct Reference

`#include </build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp>`

## Public Member Functions

__host__ __device__ | NcvSize32u ()
__host__ __device__ | NcvSize32u (Ncv32u width, Ncv32u height)
__host__ __device__ bool | operator== (const NcvSize32u &another) const

## Public Attributes

Ncv32u | width
| Rectangle width. More...
Ncv32u | height
| Rectangle height. More...

## Detailed Description

Definition at line 166 of file NCV.hpp.

## Constructor & Destructor Documentation

## NcvSize32u() [1/2]

__host__ __device__ NcvSize32u::NcvSize32u | ( |  | ) |

inline

Definition at line 170 of file NCV.hpp.

## NcvSize32u() [2/2]

__host__ __device__ NcvSize32u::NcvSize32u | ( | Ncv32u | width,
|  | Ncv32u | height
| ) |  |

inline

Definition at line 171 of file NCV.hpp.

## Member Function Documentation

## operator==()

__host__ __device__ bool NcvSize32u::operator== | ( | const NcvSize32u & | another | ) | const

inline

Definition at line 172 of file NCV.hpp.

References height, and width.

## Member Data Documentation

## height

Ncv32u NcvSize32u::height

Rectangle height.

Definition at line 169 of file NCV.hpp.

Referenced by NCVMatrix< T >::copy2D(), and operator==().

## width

Ncv32u NcvSize32u::width

Rectangle width.

Definition at line 168 of file NCV.hpp.

Referenced by NCVMatrix< T >::copy2D(), and operator==().

The documentation for this struct was generated from the following file:

- /build/pcl-rK6aXX/pcl-1.12.1+dfsg/gpu/people/src/cuda/nvidia/NCV.hpp